Bug 671024 - Review Request: wallpaperd - Background setter supporting random images and per-workspace images
Summary: Review Request: wallpaperd - Background setter supporting random images and p...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mohamed El Morabity
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-01-19 22:50 UTC by Germán Racca
Modified: 2011-02-15 21:24 UTC (History)
4 users (show)

Fixed In Version: wallpaperd-0.2.0-2.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-02-07 22:25:46 UTC
pikachu.2014: fedora-review+


Attachments (Terms of Use)

Description Germán Racca 2011-01-19 22:50:42 UTC
Spec: http://skytux.fedorapeople.org/packages/wallpaperd.spec
SRPM: http://skytux.fedorapeople.org/packages/wallpaperd-0.2.0-1.fc14.src.rpm

Description:
Wallpaperd is a small application that takes care of setting the background
image. Wallpaperd was created due to a friend requesting to have different
wallpapers on the different workspaces in Pekwm.

Wallpaperd now supports:
* Changing wallpaper on workspace change.
* Changing wallpaper every X amount of time.
* Changing wallpaper based on a GNOME background.xml file.
* Support for specifying centered, zoomed, tiled and fill image modes.
* Selecting wallpaper based on workspace number.
* Selecting wallpaper based on workspace name.
* RANDR support setting the wallpaper on each screen.
* RANDR support re-setting the wallpaper on screen resolution changes.
* Setting background Atom hint.
________________________________________________________________________________

rpmlint output:

Checking RPM package (wallpaperd-0.2.0-1.fc14.i686.rpm)
--------------------
wallpaperd.i686: W: spelling-error %description -l en_US xml -> XML, cml, ml
wallpaperd.i686: W: no-manual-page-for-binary wallpaperd
1 packages and 0 specfiles checked; 0 errors, 3 warnings.

Checking SPEC file (wallpaperd.spec)
------------------
0 packages and 1 specfiles checked; 0 errors, 0 warnings.

Checking SRPM package (wallpaperd-0.2.0-1.fc14.src.rpm)
---------------------
wallpaperd.src: W: spelling-error %description -l en_US xml -> XML, cml, ml
1 packages and 0 specfiles checked; 0 errors, 1 warnings.
________________________________________________________________________________

koji builds from scratch:

F13: http://koji.fedoraproject.org/koji/taskinfo?taskID=2732226
F14: http://koji.fedoraproject.org/koji/taskinfo?taskID=2732252
F15: http://koji.fedoraproject.org/koji/taskinfo?taskID=2732269

Comment 1 Mohamed El Morabity 2011-01-19 23:01:38 UTC
I will review this package.

Comment 2 Mohamed El Morabity 2011-01-21 09:55:16 UTC
The package looks very good... And it works well ^^
Just one comment: the RANDR support is not enabled. You should add libXrandr-devel as BuildRequires for it.

Comment 3 Germán Racca 2011-01-27 17:23:17 UTC
Hi Mohamed:

I've compiled the package with libXrandr-devel as BR, so please check that it works as intended, because I don't have that possibility now.

SPEC: http://skytux.fedorapeople.org/packages/wallpaperd.spec
SRPM: http://skytux.fedorapeople.org/packages/wallpaperd-0.2.0-2.fc14.src.rpm

Cheers,
Germán.

Comment 4 Mohamed El Morabity 2011-01-31 07:14:35 UTC
It seems OK now for the XRandR support (it is detected as a dependancy by configure in mock).

Here is the review.

MUST: rpmlint must be run on every package.
->OK, only false-positive spelling issues

MUST: The package must be named according to the Package Naming Guidelines.
->OK

MUST: The spec file name must match the base package %{name}, in the format
      %{name}.spec unless your package has an exemption.
->OK

MUST: The package must meet the Packaging Guidelines.
->OK

MUST: The package must be licensed with a Fedora approved license and meet the
      Licensing Guidelines.
->OK

MUST: The License field in the package spec file must match the actual license.
->OK, all files under GPL v2 or above

MUST: If (and only if) the source package includes the text of the license(s)
in
      its own file, then that file, containing the text of the license(s) for
      the package must be included in %doc.
->N/A

MUST: The spec file must be written in American English.
->OK

MUST: The spec file for the package MUST be legible.
->OK

MUST: The sources used to build the package must match the upstream source, as
      provided in the spec URL.
->OK, md5sum = e03a93072865b5176ddb4c07af97dd51

MUST: The package MUST successfully compile and build into binary rpms on at
      least one primary architecture.
->OK, see http://koji.fedoraproject.org/koji/taskinfo?taskID=2680921

MUST: If the package does not successfully compile, build or work on an
      architecture, then those architectures should be listed in the spec in
      ExcludeArch.
->N/A

MUST: All build dependencies must be listed in BuildRequires, except for any
      that are listed in the exceptions section of the Packaging Guidelines ;
      inclusion of those as BuildRequires is optional.
->OK

MUST: The spec file MUST handle locales properly. This is done by using the
      %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.
->OK

MUST: Every binary RPM package (or subpackage) which stores shared library
files
      (not just symlinks) in any of the dynamic linker's default paths, must
      call ldconfig in %post and %postun.
->N/A

MUST: Packages must NOT bundle copies of system libraries.
->OK

MUST: If the package is designed to be relocatable, the packager must state
this
      fact in the request for review, along with the rationalization for
      relocation of that specific package. Without this, use of Prefix: /usr is
      considered a blocker.
->N/A

MUST: A package must own all directories that it creates. If it does not create
      a directory that it uses, then it should require a package which does
      create that directory.
>OK

MUST: A Fedora package must not list a file more than once in the spec file's
      %files listings. 
->OK

MUST: Permissions on files must be set properly. Executables should be set with
      executable permissions, for example. Every %files section must include a
      %defattr(...) line.
->OK

MUST: Each package must consistently use macros.
->OK

MUST: The package must contain code, or permissable content.
->OK

MUST: Large documentation files must go in a -doc subpackage.
->N/A

MUST: If a package includes something as %doc, it must not affect the runtime
of
      the application. To summarize: If it is in %doc, the program must run
      properly if it is not present.
->OK

MUST: Header files must be in a -devel package.
->N/A

MUST: Static libraries must be in a -static package.
->N/A

MUST: If a package contains library files with a suffix (e.g. libfoo.so.1.1),
      then library files that end in .so (without suffix) must go in a -devel
      package.
->N/A

MUST: In the vast majority of cases, devel packages must require the base
      package using a fully versioned dependency: Requires: %{name} =
      %{version}-%{release}.
->N/A

MUST: Packages must NOT contain any .la libtool archives, these must be removed
      in the spec if they are built.
->N/A

MUST: Packages containing GUI applications must include a %{name}.desktop file,
      and that file must be properly installed with desktop-file-install in the
      %install section.
->OK

MUST: Packages must not own files or directories already owned by other
      packages.
->OK

MUST: All filenames in rpm packages must be valid UTF-8.
->OK

This package is APPROVED!

Comment 5 Germán Racca 2011-02-01 11:07:03 UTC
Many thanks for the review!

New Package SCM Request
=======================
Package Name: wallpaperd
Short Description: Background setter supporting random images and per-workspace images
Owners: skytux
Branches: f13 f14 f15
InitialCC:

Comment 6 Kevin Fenzi 2011-02-03 21:22:51 UTC
We are not yet doing f15 branches. 

git done.

Comment 7 Fedora Update System 2011-02-07 11:10:08 UTC
wallpaperd-0.2.0-2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/wallpaperd-0.2.0-2.fc14

Comment 8 Fedora Update System 2011-02-07 11:26:52 UTC
wallpaperd-0.2.0-2.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/wallpaperd-0.2.0-2.fc13

Comment 9 Fedora Update System 2011-02-07 19:57:13 UTC
wallpaperd-0.2.0-2.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update wallpaperd'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/wallpaperd-0.2.0-2.fc14

Comment 10 Fedora Update System 2011-02-15 21:22:40 UTC
wallpaperd-0.2.0-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2011-02-15 21:24:51 UTC
wallpaperd-0.2.0-2.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.